=== debian/changelog ===
qt6-virtualkeyboard (6.2.4-1+dde) unstable; urgency=medium

  * New upstream release (6.2.4).

 -- Duan Ting <duanting@uniontech.com>  Thu, 09 Jun 2022 18:20:37 +0800

qt6-virtualkeyboard (6.2.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Dec 2021 16:24:04 +0100

qt6-virtualkeyboard (6.2.2+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #999897)

 -- Patrick Franz <deltaone@debian.org>  Thu, 18 Nov 2021 09:01:30 +0100
